﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// Macht den übergebenen String bereit für C#-Code, indem dieser in kleinbuchstaben gewandelt wird
    /// </summary>
    class AttBoolConverter
    {
        /// <summary>
        /// Konvertiere den String in einen C#-Code-String (klein).
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns>String mit kleine buchstaben</returns>
        public static string Convert(string value)
        {
            return value.ToLower();
        }
    }
}
