﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// Macht den übergebenen String bereit für C#-Code, indem dieser in double string uebersetzt wird.
    /// </summary>
    class AttDoubleConverter
    {
        /// <summary>
        /// Konvertiere den String in einen C#-Code-String (double).
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns>String in double</returns>
        public static string Convert(string value)
        {
            return AttLengthConverter.Convert(value);
        }
    }
}
