﻿using Konverter.Statements;
using System.Collections.Generic;


namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttFontStretchConverter
    {
        /// <summary>
        /// Benötigte Usings von FontStretch.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [0..9]
        /// Ausgabe (C#)  : [FontStretch.FromOpenTypeStretch(0..9)]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            return "FontStretch.FromOpenTypeStretch(" + value + ")";
        }
    }
}
