﻿using Konverter.Statements;
using System.Collections.Generic;
using System;


namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttXmlLanguageConverter
    {
        /// <summary>
        /// Liste der von XmlLanguage benötigten Usings.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows.Markup")
                };
            }
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="value"></param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            try
            {
                return "XmlLanguage.GetLanguage(" + value.Trim() + ")";
            }
            catch (Exception e)
            {
                Logging.Instance.AddMessage("Fehler im XmlLanguage Konverter mit dem Wert=" + value + ";" + e.Message);
                return "";
            }
        }
    }
}
