﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Konverter.ConverterBase
{
    /// <summary>
    /// Diese Klasse speichert ein Attribut, welches sich aus einem Namen und einem Wert ergibt.
    /// </summary>
    class ElemAttribute
    {
        string name;   // Attributname
        string value;  // Atributwert

        /// <summary>
        /// Name des Attributs
        /// </summary>
        public string Name
        {
            get { return name; }
        }

        /// <summary>
        /// Wert des Attributs
        /// </summary>
        public string Value
        {
            get { return value; }
        }

        /// <summary>
        /// Konstruktor.
        /// </summary>
        /// <param name="name">Attributname</param>
        /// <param name="value">Attributwert</param>
        public ElemAttribute(string name, string value)
        {
            this.name = name;
            this.value = value;
        }
    }
}
