﻿using Konverter.Statements;
using System.Collections.Generic;
using System;

namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttFontFamilyConverter
    {
        /// <summary>
        /// Liste der von FontFamily benötigten Usings.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows.Media")
                };
            }
        }

        /// <summary>
        /// </summary>
        /// <param name="value"></param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            try
            {
                //TODO: könnte auch eine URI sein
                return "new FontFamily(\"" + value.Trim() + "\")";
            }
            catch (Exception e)
            {
                Logging.Instance.AddMessage("Fehler im FontFamily Konverter mit dem Wert=" + value + ";" + e.Message);
                return "";
            }
        }
    }
}
